# ReservedWeaponSlot
**Requires: [ReservedItemSlotCore](https://thunderstore.io/c/lethal-company/p/FlipMods/ReservedItemSlotCore/)**

This mod gives a dedicated item slot that accepts most weapons!<br>
This slot can be purchased at the terminal unless disabled by the ReservedItemSlotCore mod in the config.

This mod does **NOT** include the most deadly weapon, the ladder. I apologize for the inconvenience.

Optionally, this slot can be separated into a melee and ranged weapon slot in the config. If so, both slots will be need to be purchased separately.

Some included items are the shovel, signs, zap gun, and the shotgun. It also includes many items from various popular mods!<br>

These item slots are aligned on the right side of the screen, and stack vertically with other ReservedItemSlot mods.<br>
You cannot switch to these slots manually by scrolling. Instead, the method for swapping to these items is to hold Alt, and scrolling up and down to switch between them.<br>
This way, you can swap to these items to drop them, as well as other actions, such as charging, storing, etc.

You can now quick swap (new in 1.1.0) to the Reserved Weapon Slot by setting the keybind. You can only set this keybind if you have the InputUtils mod enabled.<br>
Quick swapping to this slot will force the slot to be toggled without needing to hold the Alt key. You will remain toggled until you scroll off of this slot. This will work even if you normally hold Alt to swap to your reserved hotbar.

### Includes Reserved Ammo Slot!
+ The reserved ammo slot will also need to be purchased.
+ This slot will appear on the left side of your screen instead of on the right side with the rest of the slots. This *can* be changed in the config.
+ This slot can be disabled in the config if you choose to do so, and will sync to all other clients if you are the host.

## Item Slot is Purchasable! (new in 1.1.0)
+ The weapon slot can now be purchased from the terminal, unless this option is disabled in the ReservedItemSlotCore config.
+ Purchased slots will sync with all players, and be linked the the game's save. This means reloading a game in progress *should* reload this unlocked slot.
+ Slots will not display until the game as been started by the host.<br><br>

## Configurable
+ Now adds more config options!
+ Item slot prices can be adjusted in the config.
+ Item slot priority can be adjusted in the config.
+ Items can be added to these item slots in the config. This can be handy when adding other modded items, or variations of these items, to these item slots.<br>
You can also add the translated names of items to these slots so it should be more compatible between different languages.
+ Similarly, you can remove specified items from these slots in the config if you do not want them in there.<br><br>

### Current Items in these Reserved Item Slots
If you would like to remove any of these items from the item slots, go into this mod's config and add the *exact* item name (don't include quotes) to the list of items to remove.

#### Melee Weapons
+ "Shovel"
+ "Stop sign"
+ "Yield sign"

#### Ranged Weapons
+ "Shotgun"
+ "Zap gun"
+ "Rocket Launcher"
+ "Flaregun"
+ "Revolver"

#### Ammo
+ "Ammo"
+ "Shells"
+ "Emergency Flare (ammo)"<br><br>

### Have Issues?

Please report them on my [github](https://github.com/cmooref17/ReservedItemSlotMods)!